flink-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nico Kruber (JIRA)" <j...@apache.org>
Subject [jira] [Created] (FLINK-6774) build-helper-maven-plugin version not set
Date Tue, 30 May 2017 12:52:04 GMT
Nico Kruber created FLINK-6774:
----------------------------------

             Summary: build-helper-maven-plugin version not set
                 Key: FLINK-6774
                 URL: https://issues.apache.org/jira/browse/FLINK-6774
             Project: Flink
          Issue Type: Improvement
          Components: Build System
    Affects Versions: 1.3.0
            Reporter: Nico Kruber
            Assignee: Nico Kruber
            Priority: Minor


some modules forgot to specify the version of their {{build-helper-maven-plugin}} which causes
the following warning in a maven build:

{code}
[WARNING] 'build.plugins.plugin.version' for org.codehaus.mojo:build-helper-maven-plugin is
missing. @ org.apache.flink:flink-connector-kafka-base_${scala.binary.version}:[unknown-version],
/home/nico/Projects/flink/flink-connectors/flink-connector-kafka-base/pom.xml, line 216, column
12
[WARNING] It is highly recommended to fix these problems because they threaten the stability
of your build.
{code}



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message